using System;
using UnityEngine;

namespace CheesyFX
{
    public class FlexCollisionTrigger : MonoBehaviour
    {
        public FlexRegionSupportTracker tracker;

        public void OnCollisionEnter(Collision collision)
        {
            // "OnCollisionEnter".Print();
            // gameObject.Print();
            // collision.rigidbody.Print();
            tracker.RegisterCollision(collision);
        }
        
        public void OnCollisionExit(Collision collision){
            
            tracker.DeregisterCollision(collision);
        }
        
        public void OnCollisionStay(Collision collision)
        {
            // collision.impulse.Print();
            if (!tracker.colliding) OnCollisionEnter(collision);
        }
    }
}